commit:     0c03fd9514efd76a26f5c2f9a034c4c2334e6373
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  7 03:50:10 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan  7 04:16:29 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c03fd95

dev-python/xmlschema: Bump to 4.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xmlschema/Manifest               |  1 +
 dev-python/xmlschema/xmlschema-4.3.0.ebuild | 38 +++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 5d8a85a25bf9..0b0abe311822 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1 +1,2 @@
 DIST xmlschema-4.2.0.tar.gz 643756 BLAKE2B 
33ff7f827bf54f8cdacd7da6a3b5250bed70c74e8d3bb516aa06d1e29083d79f4ced31f7f7366d724709eeb32542a1295603b9798ed2594fa072a8b988938449
 SHA512 
b56128f5d447e8087f7195257d77f6bb546438a602f7c7aaeeff255a8c8e006308bb7de6ece493072a0896b0715a560cd474036a148b9b81031da5a914c0f4c0
+DIST xmlschema-4.3.0.tar.gz 645232 BLAKE2B 
6deaf48137ee704624f64a8ea60e3249eb56c2d40a770a017379c4a68f1f92f05caae45263e0b01b399661631722c556092c52c31b3cc3924d35037ddac0f09e
 SHA512 
1ba64acd1ad7e4dad1b95b9666e009b5d6f6439cf690e43683e60bd82a983f97b9f46f9687eb9e3167532fd88e88d6fd28a3de99a4ea2e46fbc49537963385c6

diff --git a/dev-python/xmlschema/xmlschema-4.3.0.ebuild 
b/dev-python/xmlschema/xmlschema-4.3.0.ebuild
new file mode 100644
index 000000000000..6b229d08a20f
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-4.3.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+       https://github.com/sissaschool/xmlschema/
+       https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       <dev-python/elementpath-6[${PYTHON_USEDEP}]
+       >=dev-python/elementpath-5.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/setuptools-77[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/jinja2[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       "${EPYTHON}" tests/run_all_tests.py -v || die "Tests fail with 
${EPYTHON}"
+}

Reply via email to